Uploaded image for project: 'PUBLIC - Liferay Documentation'
  1. PUBLIC - Liferay Documentation
  2. LRDOCS-6604

Liferay Theme Generator Tutorial Note

    Details

      Description

      In this article: https://help.liferay.com/hc/en-us/articles/360017878372-Upgrading-Your-Theme-from-Liferay-Portal-6-1-to-7-0-

      Note: Because Liferay Theme Generator doesn't officially support importing 6.1 themes, you must set the version of your theme to 6.2 to import it.

      According to Support feedback: This point should be the first paragraph of this. It makes it confusing and misleads to seem that 6.1 themes are not accepted. It should clearly state that 6.1 themes need to be versioned as 6.2+ rather than stating it isn't officially supported.

      Secondly, it was discovered that you cannot use the Liferay Theme Generator using Maven. This should be clearly laid out in this documentation. Real Impact Use case: We had a customer using this documentation and had errors. It took us a week to figure out what the issue was since on this documentation (https://dev.liferay.com/en/develop/tutorials/-/knowledge_base/6-1/creating-liferay-themes) it states that Maven is possible on 7.0. The customer had to delay their go-live just because there was misinformation. We think this should be clearly laid out to avoid confusion

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Packages

                Version Package
                7.0.x